062a:0201 [MSI Z77A-G43] hid-generic: can't reset device, status -71

Bug #1103164 reported by Victor Mitin on 2013-01-22
46
This bug affects 9 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Unassigned

Bug Description

Currently I have to physically reconnect USB keyboard to be able to use it.

The symptoms like in Bug #512510

I have been using this keyboard for three years.
It worked well in ubuntu 10.04, 10.10, 11.04, 11.10, 12.04.

The problem appeared in ubuntu 12.10 only.

 [699097.985696] hid-generic 0003:062A:0201.00B6: can't reset device, 0000:00:1a.0-1.3.4/input0, status -71
[699097.989679] usb 1-1.3: clear tt 4 (0730) error -71
[699097.993696] hid-generic 0003:062A:0201.00B7: can't reset device, 0000:00:1a.0-1.3.4/input1, status -71
[699097.993800] usb 1-1.3: USB disconnect, device number 113
[699097.993803] usb 1-1.3.3: USB disconnect, device number 114
[699097.997675] usb 1-1.3: clear tt 4 (0730) error -71
[699098.006216] usb 1-1.3.4: USB disconnect, device number 115

http://us.msi.com/product/mb/Z77A-G43.html#/?div=BIOS

ProblemType: Bug
DistroRelease: Ubuntu 12.10
Package: linux-image-3.5.0-21-generic 3.5.0-21.32
ProcVersionSignature: Ubuntu 3.5.0-21.32-generic 3.5.7.1
Uname: Linux 3.5.0-21-generic i686
ApportVersion: 2.6.1-0ubuntu9
Architecture: i386
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: c 1855 F.... pulseaudio
 /dev/snd/pcmC0D3p: c 1855 F...m pulseaudio
CRDA: Error: command ['iw', 'reg', 'get'] failed with exit code 1: nl80211 not found.
Date: Tue Jan 22 22:40:19 2013
InstallationDate: Installed on 2012-11-25 (58 days ago)
InstallationMedia: Ubuntu 12.04.1 LTS "Precise Pangolin" - Release i386 (20120817.1)
IwConfig:
 lo no wireless extensions.

 eth0 no wireless extensions.
MachineType: MSI MS-7758
MarkForUpload: True
ProcEnviron:
 TERM=xterm
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.5.0-21-generic root=UUID=2583eaf1-76cb-4f44-bdc2-5f21fc7081fc ro quiet splash vt.handoff=7
RelatedPackageVersions:
 linux-restricted-modules-3.5.0-21-generic N/A
 linux-backports-modules-3.5.0-21-generic N/A
 linux-firmware 1.95
RfKill:

SourcePackage: linux
UpgradeStatus: Upgraded to quantal on 2013-01-07 (15 days ago)
dmi.bios.date: 10/24/2012
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: V2.7
dmi.board.asset.tag: To be filled by O.E.M.
dmi.board.name: Z77A-G43 (MS-7758)
dmi.board.vendor: MSI
dmi.board.version: 1.0
dmi.chassis.asset.tag: To Be Filled By O.E.M.
dmi.chassis.type: 3
dmi.chassis.vendor: MSI
dmi.chassis.version: 1.0
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvrV2.7:bd10/24/2012:svnMSI:pnMS-7758:pvr1.0:rvnMSI:rnZ77A-G43(MS-7758):rvr1.0:cvnMSI:ct3:cvr1.0:
dmi.product.name: MS-7758
dmi.product.version: 1.0
dmi.sys.vendor: MSI

Victor Mitin (caesarmv) wrote :
Victor Mitin (caesarmv) on 2013-01-22
description: updated

This change was made by a bot.

Changed in linux (Ubuntu):
status: New → Confirmed

Would it be possible for you to test the latest upstream kernel? Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please test the latest v3.8 kernel[0] (Not a kernel in the daily directory) and install both the linux-image and linux-image-extra .deb packages.

If this bug is fixed in the mainline kernel, please add the following tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

If you are unable to test the mainline kernel, for example it will not boot, please add the tag: 'kernel-unable-to-test-upstream'.
Once testing of the upstream kernel is complete, please mark this bug as "Confirmed".

Thanks in advance.

[0] http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.8-rc4-raring/

Changed in linux (Ubuntu):
importance: Undecided → Medium
status: Confirmed → Incomplete
Victor Mitin (caesarmv) wrote :

I've setup latest upstream kernel.

c@cd:~$ uname -a
Linux cd 3.8.0-030800rc4-generic #201301172335 SMP Fri Jan 18 04:45:42 UTC 2013 i686 i686 i686 GNU/Linux

I will test it several days and then will update status of the bug.

Thanks

Victor Mitin (caesarmv) wrote :

[194209.163463] hid-generic 0003:062A:0201.000F: can't reset device, 0000:00:1a.0-1.3.4/input1, status -71
[194209.167448] usb 1-1.3: clear tt 4 (0110) error -71
[194209.171458] hid-generic 0003:062A:0201.000E: can't reset device, 0000:00:1a.0-1.3.4/input0, status -71
[194209.175435] usb 1-1.3: clear tt 4 (0110) error -71
[194209.177306] usb 1-1.3: USB disconnect, device number 16
[194209.177309] usb 1-1.3.4: USB disconnect, device number 17
[194209.179432] hid-generic 0003:062A:0201.000F: can't reset device, 0000:00:1a.0-1.3.4/input1, status -71
[194209.179436] usb 1-1.3: clear tt 4 (0110) error -19
[228055.843318] usb 1-1.3: new high-speed USB device number 18 using ehci-pci

Messages still appear,
but with new kernel the bug with keyboard disappeared (which is more important). Thanks

tags: added: kernel-fixed-upstream
Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Burak Göksoy (rbgoksoy) wrote :

I have got similar problem on my 3 back up Debian servers. It started today. I have tried servers with two different keyboard, it did not work. I can not try update kernel and i can not get logs from terminal so here there is screen photograph; http://goo.gl/nNdpl

It is same with other two servers.

Burak Göksoy (rbgoksoy) wrote :

And i have to add this; "Caps Lock"s light is not working but when i push it, i see capital letters.

Victor Mitin (caesarmv) wrote :

I want to add some details.

1) The bug reproduced with several PC with 64 bits kernel (different keyboards used)

2) The bug exists in kernels
Linux cd 3.8.0-030800rc4-generic #201301172335 SMP Fri Jan 18 04:45:42 UTC 2013 i686 i686 i686 GNU/Linux
and 3.9 version
but it happens much rarely with latest kernels.

Burak Göksoy (rbgoksoy) wrote :

By the way @Victor, i have to remind that my 3 back up server machines are Debian and 2.6.2.6.32.35 kernel verison. And in a funny kind of way they started the give same errors without updates or etc...

Burak Göksoy (rbgoksoy) wrote :

I gave wrong kernel version, true kernel version is "2.6.32-5-amd64" instead of "2.6.2.6.32.35".

Victor Mitin, could you please confirm this issue exists with the latest development release of Ubuntu? ISO images are available from http://cdimage.ubuntu.com/daily-live/current/ . If the issue remains, could you please run the following command in the development release from a Terminal (Applications->Accessories->Terminal), as it will automatically gather and attach updated debug information to this report:

apport-collect -p linux <replace-with-bug-number>

Also, could you please test the latest upstream kernel available following https://wiki.ubuntu.com/KernelMainlineBuilds ? It will allow additional upstream developers to examine the issue. Please do not test the daily folder, but the one all the way at the bottom. Once you've tested the upstream kernel, please comment on which kernel version specifically you tested. If this bug is fixed in the mainline kernel, please add the following tags:
kernel-fixed-upstream
kernel-fixed-upstream-VERSION-NUMBER

where VERSION-NUMBER is the version number of the kernel you tested. For example:
kernel-fixed-upstream-v3.11-rc4

This can be done by clicking on the yellow circle with a black pencil icon next to the word Tags located at the bottom of the bug description. As well, please remove the tag:
needs-upstream-testing

If the mainline kernel does not fix this bug, please add the following tags:
kernel-bug-exists-upstream
kernel-bug-exists-upstream-VERSION-NUMBER

As well, please remove the tag:
needs-upstream-testing

If you are unable to test the mainline kernel, please comment as to why specifically you were unable to test it and add the following tags:
kernel-unable-to-test-upstream
kernel-unable-to-test-upstream-VERSION-NUMBER

Once testing of the upstream kernel is complete, please mark this bug's Status as Confirmed. Please let us know your results. Thank you for your understanding.

tags: added: regression-release
summary: - hid-generic: can't reset device, status -71
+ 062a:0201 hid-generic: can't reset device, status -71
Changed in linux (Ubuntu):
status: Confirmed → Incomplete
tags: added: needs-full-computer-model needs-upstream-testing
removed: kernel-fixed-upstream
tags: added: bios-outdated-v2.10
description: updated
summary: - 062a:0201 hid-generic: can't reset device, status -71
+ 062a:0201 [MSI Z77A-G43] hid-generic: can't reset device, status -71
Launchpad Janitor (janitor) wrote :

[Expired for linux (Ubuntu) because there has been no activity for 60 days.]

Changed in linux (Ubuntu):
status: Incomplete → Expired
n0PxN0p (n0pxn0p) on 2013-11-08
Changed in linux (Ubuntu):
status: Expired → Confirmed
Victor Mitin (caesarmv) wrote :

It is ok in ubuntu 13.10 (the same hw).

n0PxN0p (n0pxn0p) wrote :

Ubuntu 13.04
Linux box1 3.8.0-33-generic #48-Ubuntu SMP Wed Oct 23 09:16:58 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux

[15269.477605] usb 2-1.1: USB disconnect, device number 125
[15269.632778] hub 2-1:1.0: unable to enumerate USB device on port 1
[15269.964320] usb 2-1.1: new full-speed USB device number 127 using ehci-pci
[15269.980548] hub 2-1:1.0: unable to enumerate USB device on port 1
[15270.699907] usb 2-1.1: new full-speed USB device number 4 using ehci-pci
[15270.716143] hub 2-1:1.0: unable to enumerate USB device on port 1
[15270.956019] usb 2-1.1: new full-speed USB device number 5 using ehci-pci
[15271.435488] usb 2-1.1: device not accepting address 5, error -32
[15271.451785] hub 2-1:1.0: unable to enumerate USB device on port 1
[15271.779373] usb 2-1.1: new full-speed USB device number 7 using ehci-pci
[15271.799264] hub 2-1:1.0: unable to enumerate USB device on port 1
[15272.235169] usb 2-1.1: new full-speed USB device number 8 using ehci-pci
[15272.251363] hub 2-1:1.0: unable to enumerate USB device on port 1
[15272.491039] usb 2-1.1: new full-speed USB device number 9 using ehci-pci
[15272.970701] usb 2-1.1: device not accepting address 9, error -32
[15272.986989] hub 2-1:1.0: unable to enumerate USB device on port 1
[15273.186857] usb 2-1.1: new full-speed USB device number 11 using ehci-pci
[15273.202877] hub 2-1:1.0: unable to enumerate USB device on port 1
[15273.458790] hub 2-1:1.0: unable to enumerate USB device on port 1
[15273.802367] usb 2-1.1: new full-speed USB device number 13 using ehci-pci
[15273.818709] hub 2-1:1.0: unable to enumerate USB device on port 1
[15274.122326] usb 2-1.1: new full-speed USB device number 14 using ehci-pci
[15274.138437] hub 2-1:1.0: unable to enumerate USB device on port 1
[15274.434203] usb 2-1.1: new full-speed USB device number 15 using ehci-pci
[15274.450275] hub 2-1:1.0: unable to enumerate USB device on port 1
[15278.631791] usb 2-1.1: new full-speed USB device number 16 using ehci-pci
[15278.725988] usb 2-1.1: New USB device found, idVendor=09da, idProduct=0080
[15278.725992] usb 2-1.1: New USB device strings: Mfr=1, Product=2, SerialNumber=0
[15278.725994] usb 2-1.1: Product: USB Mouse
[15278.725996] usb 2-1.1: Manufacturer: A4Tech
[15278.728494] input: A4Tech USB Mouse as /devices/pci0000:00/0000:00:1d.0/usb2/2-1/2-1.1/2-1.1:1.0/input/input110
[15278.728598] hid-generic 0003:09DA:0080.0065: input,hidraw2: USB HID v1.11 Mouse [A4Tech USB Mouse] on usb-0000:00:1d.0-1.1/input0

At least on these controllers:
USB controller: NEC Corporation uPD720200 USB 3.0 Host Controller (rev 04)
USB controller: Intel Corporation 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #2 (rev 05)

Works fine under 12.04

z0omal1 (z0omal1) on 2013-11-08
no longer affects: linux

n0PxN0p, if you have a bug in Ubuntu, the Ubuntu Kernel team, Ubuntu Bug Control team, and Ubuntu Bug Squad would like you to please file a new report by executing the following in a terminal while booted into a Ubuntu repository kernel (not a mainline one) via:
ubuntu-bug linux

For more on this, please read the official Ubuntu documentation:
Ubuntu Bug Control and Ubuntu Bug Squad: https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue
Ubuntu Kernel Team: https://wiki.ubuntu.com/KernelTeam/KernelTeamBugPolicies#Filing_Kernel_Bug_reports
Ubuntu Community: https://help.ubuntu.com/community/ReportingBugs#Bug_reporting_etiquette

When opening up the new report, please feel free to subscribe me to it.

Please note, not filing a new report would delay your problem being addressed as quickly as possible.

No need exists to comment here at this time. After reading the above documentation in it's entirety, if you have further questions, you are welcome to redirect them to the appropriate mailing list or forum via http://www.ubuntu.com/support/community/mailinglists , or you may contact me directly.

Thank you for your understanding.

Changed in linux (Ubuntu):
status: Confirmed → Incomplete

Victor Mitin, would you need a backport to a release prior to 13.10, or may this be closed as Status Invalid?

Victor Mitin (caesarmv) wrote :

The usb hw works well, mean no need to physically reconnect it (it was critical issue).
However there are still kernel messages "can't reset device, 0000:00:1a.0-1.3.4/input0, status -71" (minor).

[167068.776591] hid-generic 0003:062A:0201.0011: input,hiddev0,hidraw2: USB HID v1.10 Mouse [USB-compliant keyboard] on usb-0000:00:1a.0-1.3.4/input1
[176691.902720] hid-generic 0003:062A:0201.0010: can't reset device, 0000:00:1a.0-1.3.4/input0, status -71
[176691.906692] usb 1-1.3: clear tt 4 (0130) error -71
[176691.910701] hid-generic 0003:062A:0201.0011: can't reset device, 0000:00:1a.0-1.3.4/input1, status -71
[176691.914681] usb 1-1.3: clear tt 4 (0130) error -71
[176691.918696] hid-generic 0003:062A:0201.0010: can't reset device, 0000:00:1a.

So for me currently it is ok.

-------------------------------
For n0PxN0p I would recommend to check the issue with latest ubuntu kernel (hopefully it should be ok with ubuntu 13.04)
http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.12-saucy/

Launchpad Janitor (janitor) wrote :

[Expired for linux (Ubuntu) because there has been no activity for 60 days.]

Changed in linux (Ubuntu):
status: Incomplete → Expired
gcb (descartavel1) wrote :

Also happening to me. I'm on an old kernel because, debian... will try with nightly on a live cd here later today.

i'm also on a Z77 chipset platform! www.gigabyte.com/products/product-page.aspx?pid=4145

This happens only with a few USB chipsets on the attached devices. For example now it is happening with

05e3:0608 Genesys Logic, Inc. USB-2.0 4-Port HUB

It will enter the disconnect state as soon as I use another device on the same usb bus. i can use everything normally without any issue. But as soon as i attach, say, a pen drive to the same usb bus as the above hub, the kernel log will fill up with error -32 and -71. for the hub and it's attached devices (mouse and keyboard).

3.2.0-4-amd64 #1 SMP Debian 3.2.65-1+deb7u1 x86_64

from other reports, is seems it is still affecting 3.6.x (e.g. http://forums.gentoo.org/viewtopic-t-945018.html ) but i will try to report back after i tested here.

jkbkot (jkbkot) wrote :
Download full text (3.3 KiB)

I'm getting:

$ dmesg | tail

[14462.953440] hid-generic 0003:046D:C068.0006: can't reset device, 0000:00:1a.0-1.1/input1, status -32
[14463.026461] hid-generic 0003:046D:C068.0005: can't reset device, 0000:00:1a.0-1.1/input0, status -32
[14463.185343] hid-generic 0003:046D:C068.0006: can't reset device, 0000:00:1a.0-1.1/input1, status -32
[14463.258490] hid-generic 0003:046D:C068.0005: can't reset device, 0000:00:1a.0-1.1/input0, status -32
[14463.417513] hid-generic 0003:046D:C068.0006: can't reset device, 0000:00:1a.0-1.1/input1, status -32
[14463.490441] hid-generic 0003:046D:C068.0005: can't reset device, 0000:00:1a.0-1.1/input0, status -32
[14463.841907] hid-generic 0003:046D:C068.0006: can't reset device, 0000:00:1a.0-1.1/input1, status -32
[14463.909385] hid-generic 0003:046D:C068.0005: can't reset device, 0000:00:1a.0-1.1/input0, status -32

from my Logitech G500 mouse.

Reconnecting to the same USB port doesn't help. When this happened to me, the mouse was connected to usb 1-1.2. When reconnecting to usb 1-1.2 or usb 1-1.1 the mouse still seems dead (its lights are on though) and dmesg says:

$ dmesg | tail
[14706.025327] usb 1-1.2: new full-speed USB device number 11 using ehci-pci
[14706.122374] usb 1-1.2: New USB device found, idVendor=046d, idProduct=c068
[14706.122387] usb 1-1.2: New USB device strings: Mfr=1, Product=2, SerialNumber=3
[14706.122394] usb 1-1.2: Product: G500
[14706.122400] usb 1-1.2: Manufacturer: Logitech
[14706.122404] usb 1-1.2: SerialNumber: 2F1179246A0018
[14706.126257] input: Logitech G500 as /devices/pci0000:00/0000:00:1a.0/usb1/1-1/1-1.2/1-1.2:1.0/0003:046D:C068.0017/input/input39
[14706.126926] hid-generic 0003:046D:C068.0017: input,hidraw0: USB HID v1.11 Mouse [Logitech G500] on usb-0000:00:1a.0-1.2/input0
[14706.140136] input: Logitech G500 as /devices/pci0000:00/0000:00:1a.0/usb1/1-1/1-1.2/1-1.2:1.1/0003:046D:C068.0018/input/input40
[14706.140594] hid-generic 0003:046D:C068.0018: input,hiddev0,hidraw1: USB HID v1.11 Keyboard [Logitech G500] on usb-0000:00:1a.0-1.2/input1

When reconnecting to usb 2-1.2 or usb 2-1.1 the mouse works fine. Dmesg output:

$ dmesg | tail
[14601.933885] usb 2-1.1: new full-speed USB device number 13 using ehci-pci
[14602.030393] usb 2-1.1: New USB device found, idVendor=046d, idProduct=c068
[14602.030406] usb 2-1.1: New USB device strings: Mfr=1, Product=2, SerialNumber=3
[14602.030414] usb 2-1.1: Product: G500
[14602.030420] usb 2-1.1: Manufacturer: Logitech
[14602.030427] usb 2-1.1: SerialNumber: 2F1179246A0018
[14602.034352] input: Logitech G500 as /devices/pci0000:00/0000:00:1d.0/usb2/2-1/2-1.1/2-1.1:1.0/0003:046D:C068.0013/input/input35
[14602.034775] hid-generic 0003:046D:C068.0013: input,hidraw0: USB HID v1.11 Mouse [Logitech G500] on usb-0000:00:1d.0-1.1/input0
[14602.040030] input: Logitech G500 as /devices/pci0000:00/0000:00:1d.0/usb2/2-1/2-1.1/2-1.1:1.1/0003:046D:C068.0014/input/input36
[14602.040480] hid-generic 0003:046D:C068.0014: input,hiddev0,hidraw1: USB HID v1.11 Keyboard [Logitech G500] on usb-0000:00:1d.0-1.1/input1

This makes me think that it's probably not my mouse dying? Or could it still be the case? It's around 3 or 4 years old so I wouldn't be ...

Read more...

Changed in linux (Ubuntu):
status: Expired → Incomplete

jkbkot, it would help immensely if you filed a new report via a terminal:
ubuntu-bug linux

Please feel free to subscribe me to it.

jkbkot (jkbkot) wrote :
Launchpad Janitor (janitor) wrote :

[Expired for linux (Ubuntu) because there has been no activity for 60 days.]

Changed in linux (Ubuntu):
status: Incomplete → Expired
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers